# wanha - your pesky URL-guardian for IRC
# Copyright (C) 2006 Tommi Saviranta  <wnd@iki.fi>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


package RLang;

use strict;
use warnings FATAL => 'all';
use diagnostics;


my %txt;

$txt{"title-short"} = "wanha";
$txt{"title-long"} = "wanha - web interface";

$txt{"chan-summary"} = "Summary for %s";
$txt{"chan-last-n-urls"} = "%d most recent URLs";
$txt{"chan-urls-range"} = "URLs #%d - #%d";
$txt{"chan-hist-for"} = "URL histrory for %s";

$txt{"chanstat-for"} = "URL statistics for %s";
$txt{"chanstat-hourly"} = "URLs per hour";
$txt{"chanstat-weekdaily"} = "URLs per day of week";
$txt{"chanstat-misc"} = "Miscellaneous statistics";
$txt{"chanstat-urls-wanha-perc"} = "Out of %d URLs pasted on the channel %d " .
		"(%.2f %%) were already seen.";
$txt{"chanstat-alltime"} = "All-time favourites";
$txt{"chanstat-domain-days"} = "Top domains during past %d day(s)";

$txt{"user-summary"} = "Summary for %s";
$txt{"user-no-urls"} = "%s has not yet pasted any URLs.";
$txt{"user-n-latest-urls"} = "%d latests URL(s)";
$txt{"user-n-best-urls"} = "%d most popular URL(s)";
$txt{"user-hist-for"} = "URL history for %s";
$txt{"user-urls-range"} = "URLs #%d - #%d";
$txt{"user-pop-urls-range"} = "Popular URLs #%d - #%d";

$txt{"col-address"} = "Address";
$txt{"col-first-pasted"} = "First pasted";
$txt{"col-times-pasted"} = "Count";
$txt{"col-channel"} = "Channel";
$txt{"col-score"} = "Score";
$txt{"col-total"} = "Total";
$txt{"col-rank"} = "Rank";
$txt{"col-nick"} = "Nick";
$txt{"col-points"} = "Points";
$txt{"col-urls"} = "URL(s)";
$txt{"col-points-ratio"} = "Hit ratio";
$txt{"col-fame"} = "Fame";
$txt{"col-shame"} = "Shame";
$txt{"col-wanha"} = "Repasted";
$txt{"col-cheat"} = "Cheated";
$txt{"col-busy"} = "Busy pasters";
$txt{"col-domain"} = "Domain";
$txt{"col-share-of-all"} = "Share of all";

$txt{"short-mon"} = "Mo";
$txt{"short-tue"} = "Tu";
$txt{"short-wed"} = "We";
$txt{"short-thu"} = "Th";
$txt{"short-fri"} = "Fr";
$txt{"short-sat"} = "Sa";
$txt{"short-sun"} = "Su";

$txt{"link-go-to"} = "Go to: ";
$txt{"link-chanstat"} = "channel statistics";
$txt{"link-older-urls"} = "older URLs";
$txt{"link-scoreboard"} = "scoreboard";
$txt{"link-chan"} = "channel summary";
$txt{"link-newer"} = "newer";
$txt{"link-older"} = "older";
$txt{"link-latest-urls"} = "latest URLs";
$txt{"link-user-summary"} = "user summary";

$txt{"txt-generate"} = "-- took %.3f second(s) to generate this page";



sub get {
	my ($id) = @_;
	my $t = $txt{"$id"};
	(defined($t)) && return $t;
	return "($id)";
}


return 1;
